Package org.apache.synapse.transport.nhttp

## Class NoValidateCertTrustManager

- java.lang.Object
- - org.apache.synapse.transport.nhttp.NoValidateCertTrustManager

- All Implemented Interfaces:
    `TrustManager`, `X509TrustManager`

      public class NoValidateCertTrustManager
      extends Object
      implements X509TrustManager

  Trust manager accepting any certificate.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoValidateCertTrustManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkClientTrusted​(X509Certificate[] chain, String authType)` |
    `void` | `checkServerTrusted​(X509Certificate[] chain, String authType)` |
    `X509Certificate[]` | `getAcceptedIssuers()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoValidateCertTrustManager

          public NoValidateCertTrustManager()

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted​(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkClientTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted​(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkServerTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### getAcceptedIssuers

          public X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `X509TrustManager`